{-# LANGUAGE MultiParamTypeClasses, FunctionalDependencies #-}
{-# OPTIONS_GHC -fno-warn-duplicate-exports #-}
module Data.FpML.V53.CD
  ( module Data.FpML.V53.CD
  , module Data.FpML.V53.Shared.Option
  ) where
 
import Text.XML.HaXml.Schema.Schema (SchemaType(..),SimpleType(..),Extension(..),Restricts(..))
import Text.XML.HaXml.Schema.Schema as Schema
import qualified Text.XML.HaXml.Schema.PrimitiveTypes as Xsd
import {-# SOURCE #-} Data.FpML.V53.Shared.Option
 
data AdditionalFixedPayments
instance Eq AdditionalFixedPayments
instance Show AdditionalFixedPayments
instance SchemaType AdditionalFixedPayments
 
data AdditionalTerm
data AdditionalTermAttributes
instance Eq AdditionalTerm
instance Eq AdditionalTermAttributes
instance Show AdditionalTerm
instance Show AdditionalTermAttributes
instance SchemaType AdditionalTerm
instance Extension AdditionalTerm Scheme
 
data AdjustedPaymentDates
instance Eq AdjustedPaymentDates
instance Show AdjustedPaymentDates
instance SchemaType AdjustedPaymentDates
 
-- | CDS Basket Reference Information 
data BasketReferenceInformation
instance Eq BasketReferenceInformation
instance Show BasketReferenceInformation
instance SchemaType BasketReferenceInformation
 
data CalculationAmount
instance Eq CalculationAmount
instance Show CalculationAmount
instance SchemaType CalculationAmount
instance Extension CalculationAmount Money
instance Extension CalculationAmount MoneyBase
 
data CashSettlementTerms
instance Eq CashSettlementTerms
instance Show CashSettlementTerms
instance SchemaType CashSettlementTerms
instance Extension CashSettlementTerms SettlementTerms
 
data CreditDefaultSwap
instance Eq CreditDefaultSwap
instance Show CreditDefaultSwap
instance SchemaType CreditDefaultSwap
instance Extension CreditDefaultSwap Product
 
-- | A complex type to support the credit default swap option. 
data CreditDefaultSwapOption
instance Eq CreditDefaultSwapOption
instance Show CreditDefaultSwapOption
instance SchemaType CreditDefaultSwapOption
instance Extension CreditDefaultSwapOption OptionBaseExtended
instance Extension CreditDefaultSwapOption OptionBase
instance Extension CreditDefaultSwapOption Option
instance Extension CreditDefaultSwapOption Product
 
-- | A complex type to specify the strike of a credit swaption 
--   or a credit default swap option. 
data CreditOptionStrike
instance Eq CreditOptionStrike
instance Show CreditOptionStrike
instance SchemaType CreditOptionStrike
 
data DeliverableObligations
instance Eq DeliverableObligations
instance Show DeliverableObligations
instance SchemaType DeliverableObligations
 
-- | Defines a coding scheme of the entity types defined in the 
--   ISDA First to Default documentation. 
data EntityType
data EntityTypeAttributes
instance Eq EntityType
instance Eq EntityTypeAttributes
instance Show EntityType
instance Show EntityTypeAttributes
instance SchemaType EntityType
instance Extension EntityType Scheme
 
data FeeLeg
instance Eq FeeLeg
instance Show FeeLeg
instance SchemaType FeeLeg
instance Extension FeeLeg Leg
 
data FixedAmountCalculation
instance Eq FixedAmountCalculation
instance Show FixedAmountCalculation
instance SchemaType FixedAmountCalculation
 
-- | The calculation period fixed rate. A per annum rate, 
--   expressed as a decimal. A fixed rate of 5% would be 
--   represented as 0.05. 
data FixedRate
data FixedRateAttributes
instance Eq FixedRate
instance Eq FixedRateAttributes
instance Show FixedRate
instance Show FixedRateAttributes
instance SchemaType FixedRate
instance Extension FixedRate Xsd.Decimal
 
data FixedRateReference
instance Eq FixedRateReference
instance Show FixedRateReference
instance SchemaType FixedRateReference
instance Extension FixedRateReference Reference
 
data FloatingAmountEvents
instance Eq FloatingAmountEvents
instance Show FloatingAmountEvents
instance SchemaType FloatingAmountEvents
 
data FloatingAmountProvisions
instance Eq FloatingAmountProvisions
instance Show FloatingAmountProvisions
instance SchemaType FloatingAmountProvisions
 
data GeneralTerms
instance Eq GeneralTerms
instance Show GeneralTerms
instance SchemaType GeneralTerms
 
data IndexAnnexSource
data IndexAnnexSourceAttributes
instance Eq IndexAnnexSource
instance Eq IndexAnnexSourceAttributes
instance Show IndexAnnexSource
instance Show IndexAnnexSourceAttributes
instance SchemaType IndexAnnexSource
instance Extension IndexAnnexSource Scheme
 
data IndexId
data IndexIdAttributes
instance Eq IndexId
instance Eq IndexIdAttributes
instance Show IndexId
instance Show IndexIdAttributes
instance SchemaType IndexId
instance Extension IndexId Scheme
 
data IndexName
data IndexNameAttributes
instance Eq IndexName
instance Eq IndexNameAttributes
instance Show IndexName
instance Show IndexNameAttributes
instance SchemaType IndexName
instance Extension IndexName Scheme
 
-- | A type defining a Credit Default Swap Index. 
data IndexReferenceInformation
instance Eq IndexReferenceInformation
instance Show IndexReferenceInformation
instance SchemaType IndexReferenceInformation
 
data InitialPayment
instance Eq InitialPayment
instance Show InitialPayment
instance SchemaType InitialPayment
instance Extension InitialPayment PaymentBase
 
data InterestShortFall
instance Eq InterestShortFall
instance Show InterestShortFall
instance SchemaType InterestShortFall
 
data LoanParticipation
instance Eq LoanParticipation
instance Show LoanParticipation
instance SchemaType LoanParticipation
instance Extension LoanParticipation PCDeliverableObligationCharac
 
data MatrixSource
data MatrixSourceAttributes
instance Eq MatrixSource
instance Eq MatrixSourceAttributes
instance Show MatrixSource
instance Show MatrixSourceAttributes
instance SchemaType MatrixSource
instance Extension MatrixSource Scheme
 
data MultipleValuationDates
instance Eq MultipleValuationDates
instance Show MultipleValuationDates
instance SchemaType MultipleValuationDates
instance Extension MultipleValuationDates SingleValuationDate
 
data NotDomesticCurrency
instance Eq NotDomesticCurrency
instance Show NotDomesticCurrency
instance SchemaType NotDomesticCurrency
 
data Obligations
instance Eq Obligations
instance Show Obligations
instance SchemaType Obligations
 
data PCDeliverableObligationCharac
instance Eq PCDeliverableObligationCharac
instance Show PCDeliverableObligationCharac
instance SchemaType PCDeliverableObligationCharac
 
data PeriodicPayment
instance Eq PeriodicPayment
instance Show PeriodicPayment
instance SchemaType PeriodicPayment
instance Extension PeriodicPayment PaymentBase
 
data PhysicalSettlementPeriod
instance Eq PhysicalSettlementPeriod
instance Show PhysicalSettlementPeriod
instance SchemaType PhysicalSettlementPeriod
 
data PhysicalSettlementTerms
instance Eq PhysicalSettlementTerms
instance Show PhysicalSettlementTerms
instance SchemaType PhysicalSettlementTerms
instance Extension PhysicalSettlementTerms SettlementTerms
 
data ProtectionTerms
instance Eq ProtectionTerms
instance Show ProtectionTerms
instance SchemaType ProtectionTerms
 
-- | Reference to protectionTerms component. 
data ProtectionTermsReference
instance Eq ProtectionTermsReference
instance Show ProtectionTermsReference
instance SchemaType ProtectionTermsReference
instance Extension ProtectionTermsReference Reference
 
data ReferenceInformation
instance Eq ReferenceInformation
instance Show ReferenceInformation
instance SchemaType ReferenceInformation
 
data ReferenceObligation
instance Eq ReferenceObligation
instance Show ReferenceObligation
instance SchemaType ReferenceObligation
 
data ReferencePair
instance Eq ReferencePair
instance Show ReferencePair
instance SchemaType ReferencePair
 
-- | This type contains all the reference pool items to define 
--   the reference entity and reference obligation(s) in the 
--   basket. 
data ReferencePool
instance Eq ReferencePool
instance Show ReferencePool
instance SchemaType ReferencePool
 
-- | This type contains all the constituent weight and reference 
--   information. 
data ReferencePoolItem
instance Eq ReferencePoolItem
instance Show ReferencePoolItem
instance SchemaType ReferencePoolItem
 
data SettledEntityMatrix
instance Eq SettledEntityMatrix
instance Show SettledEntityMatrix
instance SchemaType SettledEntityMatrix
 
data SettlementTerms
instance Eq SettlementTerms
instance Show SettlementTerms
instance SchemaType SettlementTerms
 
-- | Reference to a settlement terms derived construct 
--   (cashSettlementTerms or physicalSettlementTerms). 
data SettlementTermsReference
instance Eq SettlementTermsReference
instance Show SettlementTermsReference
instance SchemaType SettlementTermsReference
instance Extension SettlementTermsReference Reference
 
data SinglePayment
instance Eq SinglePayment
instance Show SinglePayment
instance SchemaType SinglePayment
instance Extension SinglePayment PaymentBase
 
data SingleValuationDate
instance Eq SingleValuationDate
instance Show SingleValuationDate
instance SchemaType SingleValuationDate
 
data SpecifiedCurrency
instance Eq SpecifiedCurrency
instance Show SpecifiedCurrency
instance SchemaType SpecifiedCurrency
 
-- | This type represents a CDS Tranche. 
data Tranche
instance Eq Tranche
instance Show Tranche
instance SchemaType Tranche
 
data ValuationDate
instance Eq ValuationDate
instance Show ValuationDate
instance SchemaType ValuationDate
 
-- | A limited version of the CDS type used as an underlyer to 
--   CDS options in Transparency view, to avoid requiring 
--   product type etc. 
data LimitedCreditDefaultSwap
instance Eq LimitedCreditDefaultSwap
instance Show LimitedCreditDefaultSwap
instance SchemaType LimitedCreditDefaultSwap
 
-- | In a credit default swap one party (the protection seller) 
--   agrees to compensate another party (the protection buyer) 
--   if a specified company or Sovereign (the reference entity) 
--   experiences a credit event, indicating it is or may be 
--   unable to service its debts. The protection seller is 
--   typically paid a fee and/or premium, expressed as an 
--   annualized percent of the notional in basis points, 
--   regularly over the life of the transaction or otherwise as 
--   agreed by the parties. 
elementCreditDefaultSwap :: XMLParser CreditDefaultSwap
elementToXMLCreditDefaultSwap :: CreditDefaultSwap -> [Content ()]
 
-- | An option on a credit default swap. 
elementCreditDefaultSwapOption :: XMLParser CreditDefaultSwapOption
elementToXMLCreditDefaultSwapOption :: CreditDefaultSwapOption -> [Content ()]
 
