{-# LANGUAGE MultiParamTypeClasses, FunctionalDependencies #-}
{-# OPTIONS_GHC -fno-warn-duplicate-exports #-}
module Data.FpML.V53.Swaps.Correlation
  ( module Data.FpML.V53.Swaps.Correlation
  , module Data.FpML.V53.Shared.EQ
  ) where
 
import Text.XML.HaXml.Schema.Schema (SchemaType(..),SimpleType(..),Extension(..),Restricts(..))
import Text.XML.HaXml.Schema.Schema as Schema
import qualified Text.XML.HaXml.Schema.PrimitiveTypes as Xsd
import {-# SOURCE #-} Data.FpML.V53.Shared.EQ
 
-- | Correlation Amount. 
data CorrelationAmount
instance Eq CorrelationAmount
instance Show CorrelationAmount
instance SchemaType CorrelationAmount
instance Extension CorrelationAmount CalculatedAmount
 
-- | A type describing return which is driven by a Correlation 
--   calculation. 
data CorrelationLeg
instance Eq CorrelationLeg
instance Show CorrelationLeg
instance SchemaType CorrelationLeg
instance Extension CorrelationLeg DirectionalLegUnderlyerValuation
instance Extension CorrelationLeg DirectionalLegUnderlyer
instance Extension CorrelationLeg DirectionalLeg
instance Extension CorrelationLeg Leg
 
-- | A Correlation Swap modelled using a single netted leg. 
data CorrelationSwap
instance Eq CorrelationSwap
instance Show CorrelationSwap
instance SchemaType CorrelationSwap
instance Extension CorrelationSwap NettedSwapBase
instance Extension CorrelationSwap Product
 
-- | Specifies the structure of a correlation swap. 
elementCorrelationSwap :: XMLParser CorrelationSwap
elementToXMLCorrelationSwap :: CorrelationSwap -> [Content ()]
