{-# LANGUAGE MultiParamTypeClasses, FunctionalDependencies #-}
{-# OPTIONS_GHC -fno-warn-duplicate-exports #-}
module Data.FpML.V53.Swaps.Dividend
  ( module Data.FpML.V53.Swaps.Dividend
  , module Data.FpML.V53.Shared.EQ
  , module Data.FpML.V53.Shared
  ) where
 
import Text.XML.HaXml.Schema.Schema (SchemaType(..),SimpleType(..),Extension(..),Restricts(..))
import Text.XML.HaXml.Schema.Schema as Schema
import qualified Text.XML.HaXml.Schema.PrimitiveTypes as Xsd
import {-# SOURCE #-} Data.FpML.V53.Shared.EQ
import {-# SOURCE #-} Data.FpML.V53.Shared
 
-- | Floating Payment Leg of a Dividend Swap. 
data DividendLeg
instance Eq DividendLeg
instance Show DividendLeg
instance SchemaType DividendLeg
instance Extension DividendLeg DirectionalLegUnderlyer
instance Extension DividendLeg DirectionalLeg
instance Extension DividendLeg Leg
 
-- | A time bounded dividend period, with fixed strike and a 
--   dividend payment date per period. 
data DividendPeriodPayment
instance Eq DividendPeriodPayment
instance Show DividendPeriodPayment
instance SchemaType DividendPeriodPayment
instance Extension DividendPeriodPayment DividendPeriod
 
-- | A Dividend Swap Transaction Supplement. 
data DividendSwapTransactionSupplement
instance Eq DividendSwapTransactionSupplement
instance Show DividendSwapTransactionSupplement
instance SchemaType DividendSwapTransactionSupplement
instance Extension DividendSwapTransactionSupplement Product
 
-- | Fixed payment amount within a Dividend Swap. 
data FixedPaymentAmount
instance Eq FixedPaymentAmount
instance Show FixedPaymentAmount
instance SchemaType FixedPaymentAmount
instance Extension FixedPaymentAmount PaymentBase
 
-- | Fixed Payment Leg of a Dividend Swap. 
data FixedPaymentLeg
instance Eq FixedPaymentLeg
instance Show FixedPaymentLeg
instance SchemaType FixedPaymentLeg
instance Extension FixedPaymentLeg DirectionalLeg
instance Extension FixedPaymentLeg Leg
 
-- | Specifies the structure of the dividend swap transaction 
--   supplement. 
elementDividendSwapTransactionSupplement :: XMLParser DividendSwapTransactionSupplement
elementToXMLDividendSwapTransactionSupplement :: DividendSwapTransactionSupplement -> [Content ()]
