{-# LANGUAGE MultiParamTypeClasses, FunctionalDependencies #-}
{-# OPTIONS_GHC -fno-warn-duplicate-exports #-}
module Data.FpML.V53.Swaps.Variance
  ( module Data.FpML.V53.Swaps.Variance
  , module Data.FpML.V53.Eqd
  ) where
 
import Text.XML.HaXml.Schema.Schema (SchemaType(..),SimpleType(..),Extension(..),Restricts(..))
import Text.XML.HaXml.Schema.Schema as Schema
import qualified Text.XML.HaXml.Schema.PrimitiveTypes as Xsd
import {-# SOURCE #-} Data.FpML.V53.Eqd
 
-- | Calculation of a Variance Amount. 
data VarianceAmount
instance Eq VarianceAmount
instance Show VarianceAmount
instance SchemaType VarianceAmount
instance Extension VarianceAmount CalculatedAmount
 
-- | A type describing return which is driven by a Variance 
--   Calculation. 
data VarianceLeg
instance Eq VarianceLeg
instance Show VarianceLeg
instance SchemaType VarianceLeg
instance Extension VarianceLeg DirectionalLegUnderlyerValuation
instance Extension VarianceLeg DirectionalLegUnderlyer
instance Extension VarianceLeg DirectionalLeg
instance Extension VarianceLeg Leg
 
data VarianceOptionTransactionSupplement
instance Eq VarianceOptionTransactionSupplement
instance Show VarianceOptionTransactionSupplement
instance SchemaType VarianceOptionTransactionSupplement
instance Extension VarianceOptionTransactionSupplement OptionBase
instance Extension VarianceOptionTransactionSupplement Option
instance Extension VarianceOptionTransactionSupplement Product
 
-- | A Variance Swap. 
data VarianceSwap
instance Eq VarianceSwap
instance Show VarianceSwap
instance SchemaType VarianceSwap
instance Extension VarianceSwap NettedSwapBase
instance Extension VarianceSwap Product
 
-- | A Variance Swap Transaction Supplement. 
data VarianceSwapTransactionSupplement
instance Eq VarianceSwapTransactionSupplement
instance Show VarianceSwapTransactionSupplement
instance SchemaType VarianceSwapTransactionSupplement
instance Extension VarianceSwapTransactionSupplement Product
 
-- | Specifies the structure of a variance option. 
elementVarianceOptionTransactionSupplement :: XMLParser VarianceOptionTransactionSupplement
elementToXMLVarianceOptionTransactionSupplement :: VarianceOptionTransactionSupplement -> [Content ()]
 
-- | Specifies the structure of a variance swap. 
elementVarianceSwap :: XMLParser VarianceSwap
elementToXMLVarianceSwap :: VarianceSwap -> [Content ()]
 
-- | Specifies the structure of a variance swap transaction 
--   supplement. 
elementVarianceSwapTransactionSupplement :: XMLParser VarianceSwapTransactionSupplement
elementToXMLVarianceSwapTransactionSupplement :: VarianceSwapTransactionSupplement -> [Content ()]
